#!/bin/sh
# 检查 /dev/mixer 是否存在

LOCKFILE=/var/lock/check_mixer.lock
LOGFILE=/var/log/check_mixer.log

log_with_timestamp() {
    echo "$(date '+%Y-%m-%d %H:%M:%S') - $1" >> "$LOGFILE"
}

# 检查是否存在任意 /dev/mixer*
if ls /dev/mixer* 1> /dev/null 2>&1; then
    sleep 1
    echo "Delayed action completed"
    log_with_timestamp "Device /dev/mixer* exists, delaying for 1 second..."   
else
    echo "No /dev/mixer* devices found"
    log_with_timestamp "No /dev/mixer* devices found."
fi

